org.deidentifier.arx.metric.v2

## Class ILMultiDimensionalMax

- java.lang.Object
- - org.deidentifier.arx.metric.InformationLoss<double[]>
  - - org.deidentifier.arx.metric.v2.AbstractILMultiDimensional
    - - org.deidentifier.arx.metric.v2.AbstractILMultiDimensionalReduced
      - - org.deidentifier.arx.metric.v2.ILMultiDimensionalMax

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<InformationLoss<?>>

    public class ILMultiDimensionalMax
    extends AbstractILMultiDimensionalReduced

This class implements an information loss which can be represented as a decimal number per quasi-identifier.

Author:
  Fabian Prasser, Florian Kohlmayer
See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`InformationLoss<double[]>` `clone()` Override this to implement a variant.

### Methods inherited from class org.deidentifier.arx.metric.v2.AbstractILMultiDimensionalReduced

`compareTo, getValue, hashCode, relativeTo, toString`

### Methods inherited from class org.deidentifier.arx.metric.v2.AbstractILMultiDimensional

`equals, max, min`

### Methods inherited from class org.deidentifier.arx.metric.InformationLoss

`createInformationLoss, getMetadata`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### clone

    public InformationLoss<double[]> clone()

Description copied from class: `AbstractILMultiDimensionalReduced`
Override this to implement a variant.

Specified by:
  `clone` in class `AbstractILMultiDimensionalReduced`